Omniplex Docs

Badges

These API endpoints are related to the badge system on Omniplex

Get Badges

GET
/badges

Lists every badge in the catalog with how to earn it and how many entities hold it.

Response Body

Success

application/json
  1. response
badges?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/badges'
Example Response
{  "badges": [    {      "automatic": true,      "color": "string",      "description": "string",      "holders": 0,      "how_to_earn": "string",      "icon": "string",      "id": "string",      "linked_role": true,      "name": "string",      "target_types": [        "string"      ]    }  ]}

Get Entity Badges

GET
/{target_type}/{target_id}/badges

Gets the badges assigned to a user, bot, server, or team.

Path Parameters

target_type*string

The target type of the entity

target_id*string

The target ID of the entity

Response Body

Success

application/json
  1. response
badges?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/string/string/badges'
Example Response
{  "badges": [    {      "awarded_by": "string",      "badge": {        "color": "string",        "description": "string",        "icon": "string",        "id": "string",        "name": "string",        "target_types": [          "string"        ]      },      "created_at": "2019-08-24T14:15:22Z",      "reason": "string"    }  ]}